Delulu documentation

Analytics

2 endpoints in the Analytics API group.

Generated from the typed server contract. Download the complete OpenAPI 3.1 specification.

Get exact workspace operational counts

GET/v1/workspaces/{workspaceId}/analytics/operational

Parameters

NameInRequiredType
workspaceIdpathyesstring

Request body

No request body.

Responses

StatusMeaning
200Success
401UnauthorizedError
402QuotaExceededError
403ForbiddenError
404NotFoundError
422ValidationError
429RateLimitedError
503AnalyticsProviderError

Response bodies

200 — application/json

{
  "type": "object",
  "properties": {
    "workspaceId": {
      "type": "string"
    },
    "statsVersion": {
      "anyOf": [
        {
          "anyOf": [
            {
              "type": "number"
            },
            {
              "type": "string",
              "enum": [
                "NaN"
              ]
            },
            {
              "type": "string",
              "enum": [
                "Infinity"
              ]
            },
            {
              "type": "string",
              "enum": [
                "-Infinity"
              ]
            }
          ]
        },
        {
          "type": "string",
          "enum": [
            "Infinity",
            "-Infinity",
            "NaN"
          ]
        }
      ]
    },
    "counts": {
      "type": "object",
      "properties": {
        "totalPosts": {
          "anyOf": [
            {
              "anyOf": [
                {
                  "type": "number"
                },
                {
                  "type": "string",
                  "enum": [
                    "NaN"
                  ]
                },
                {
                  "type": "string",
                  "enum": [
                    "Infinity"
                  ]
                },
                {
                  "type": "string",
                  "enum": [
                    "-Infinity"
                  ]
                }
              ]
            },
            {
              "type": "string",
              "enum": [
                "Infinity",
                "-Infinity",
                "NaN"
              ]
            }
          ]
        },
        "drafts": {
          "anyOf": [
            {
              "anyOf": [
                {
                  "type": "number"
                },
                {
                  "type": "string",
                  "enum": [
                    "NaN"
                  ]
                },
                {
                  "type": "string",
                  "enum": [
                    "Infinity"
                  ]
                },
                {
                  "type": "string",
                  "enum": [
                    "-Infinity"
                  ]
                }
              ]
            },
            {
              "type": "string",
              "enum": [
                "Infinity",
                "-Infinity",
                "NaN"
              ]
            }
          ]
        },
        "pendingReview": {
          "anyOf": [
            {
              "anyOf": [
                {
                  "type": "number"
                },
                {
                  "type": "string",
                  "enum": [
                    "NaN"
                  ]
                },
                {
                  "type": "string",
                  "enum": [
                    "Infinity"
                  ]
                },
                {
                  "type": "string",
                  "enum": [
                    "-Infinity"
                  ]
                }
              ]
            },
            {
              "type": "string",
              "enum": [
                "Infinity",
                "-Infinity",
                "NaN"
              ]
            }
          ]
        },
        "scheduled": {
          "anyOf": [
            {
              "anyOf": [
                {
                  "type": "number"
                },
                {
                  "type": "string",
                  "enum": [
                    "NaN"
                  ]
                },
                {
                  "type": "string",
                  "enum": [
                    "Infinity"
                  ]
                },
                {
                  "type": "string",
                  "enum": [
                    "-Infinity"
                  ]
                }
              ]
            },
            {
              "type": "string",
              "enum": [
                "Infinity",
                "-Infinity",
                "NaN"
              ]
            }
          ]
        },
        "publishing": {
          "anyOf": [
            {
              "anyOf": [
                {
                  "type": "number"
                },
                {
                  "type": "string",
                  "enum": [
                    "NaN"
                  ]
                },
                {
                  "type": "string",
                  "enum": [
                    "Infinity"
                  ]
                },
                {
                  "type": "string",
                  "enum": [
                    "-Infinity"
                  ]
                }
              ]
            },
            {
              "type": "string",
              "enum": [
                "Infinity",
                "-Infinity",
                "NaN"
              ]
            }
          ]
        },
        "published": {
          "anyOf": [
            {
              "anyOf": [
                {
                  "type": "number"
                },
                {
                  "type": "string",
                  "enum": [
                    "NaN"
                  ]
                },
                {
                  "type": "string",
                  "enum": [
                    "Infinity"
                  ]
                },
                {
                  "type": "string",
                  "enum": [
                    "-Infinity"
                  ]
                }
              ]
            },
            {
              "type": "string",
              "enum": [
                "Infinity",
                "-Infinity",
                "NaN"
              ]
            }
          ]
        },
        "partiallyFailed": {
          "anyOf": [
            {
              "anyOf": [
                {
                  "type": "number"
                },
                {
                  "type": "string",
                  "enum": [
                    "NaN"
                  ]
                },
                {
                  "type": "string",
                  "enum": [
                    "Infinity"
                  ]
                },
                {
                  "type": "string",
                  "enum": [
                    "-Infinity"
                  ]
                }
              ]
            },
            {
              "type": "string",
              "enum": [
                "Infinity",
                "-Infinity",
                "NaN"
              ]
            }
          ]
        },
        "failed": {
          "anyOf": [
            {
              "anyOf": [
                {
                  "type": "number"
                },
                {
                  "type": "string",
                  "enum": [
                    "NaN"
                  ]
                },
                {
                  "type": "string",
                  "enum": [
                    "Infinity"
                  ]
                },
                {
                  "type": "string",
                  "enum": [
                    "-Infinity"
                  ]
                }
              ]
            },
            {
              "type": "string",
              "enum": [
                "Infinity",
                "-Infinity",
                "NaN"
              ]
            }
          ]
        },
        "scheduledNextSevenDays": {
          "anyOf": [
            {
              "anyOf": [
                {
                  "type": "number"
                },
                {
                  "type": "string",
                  "enum": [
                    "NaN"
                  ]
                },
                {
                  "type": "string",
                  "enum": [
                    "Infinity"
                  ]
                },
                {
                  "type": "string",
                  "enum": [
                    "-Infinity"
                  ]
                }
              ]
            },
            {
              "type": "string",
              "enum": [
                "Infinity",
                "-Infinity",
                "NaN"
              ]
            }
          ]
        },
        "publishedLastThirtyDays": {
          "anyOf": [
            {
              "anyOf": [
                {
                  "type": "number"
                },
                {
                  "type": "string",
                  "enum": [
                    "NaN"
                  ]
                },
                {
                  "type": "string",
                  "enum": [
                    "Infinity"
                  ]
                },
                {
                  "type": "string",
                  "enum": [
                    "-Infinity"
                  ]
                }
              ]
            },
            {
              "type": "string",
              "enum": [
                "Infinity",
                "-Infinity",
                "NaN"
              ]
            }
          ]
        }
      },
      "required": [
        "totalPosts",
        "drafts",
        "pendingReview",
        "scheduled",
        "publishing",
        "published",
        "partiallyFailed",
        "failed",
        "scheduledNextSevenDays",
        "publishedLastThirtyDays"
      ],
      "additionalProperties": false
    },
    "streak": {
      "type": "object",
      "properties": {
        "currentDays": {
          "anyOf": [
            {
              "anyOf": [
                {
                  "type": "number"
                },
                {
                  "type": "string",
                  "enum": [
                    "NaN"
                  ]
                },
                {
                  "type": "string",
                  "enum": [
                    "Infinity"
                  ]
                },
                {
                  "type": "string",
                  "enum": [
                    "-Infinity"
                  ]
                }
              ]
            },
            {
              "type": "string",
              "enum": [
                "Infinity",
                "-Infinity",
                "NaN"
              ]
            }
          ]
        },
        "longestDays": {
          "anyOf": [
            {
              "anyOf": [
                {
                  "type": "number"
                },
                {
                  "type": "string",
                  "enum": [
                    "NaN"
                  ]
                },
                {
                  "type": "string",
                  "enum": [
                    "Infinity"
                  ]
                },
                {
                  "type": "string",
                  "enum": [
                    "-Infinity"
                  ]
                }
              ]
            },
            {
              "type": "string",
              "enum": [
                "Infinity",
                "-Infinity",
                "NaN"
              ]
            }
          ]
        },
        "lastPublishedDate": {
          "anyOf": [
            {
              "type": "string"
            },
            {
              "type": "null"
            }
          ]
        }
      },
      "required": [
        "currentDays",
        "longestDays",
        "lastPublishedDate"
      ],
      "additionalProperties": false
    },
    "generatedAt": {
      "type": "string"
    }
  },
  "required": [
    "workspaceId",
    "statsVersion",
    "counts",
    "streak",
    "generatedAt"
  ],
  "additionalProperties": false
}

401 — application/json

{
  "$ref": "#/components/schemas/UnauthorizedError"
}

402 — application/json

{
  "$ref": "#/components/schemas/QuotaExceededError"
}

403 — application/json

{
  "$ref": "#/components/schemas/ForbiddenError"
}

404 — application/json

{
  "$ref": "#/components/schemas/NotFoundError"
}

422 — application/json

{
  "$ref": "#/components/schemas/ValidationError"
}

429 — application/json

{
  "$ref": "#/components/schemas/RateLimitedError"
}

503 — application/json

{
  "$ref": "#/components/schemas/AnalyticsProviderError"
}

Get live platform insights with comparison

GET/v1/workspaces/{workspaceId}/analytics/connections/{connectionId}/insights

Parameters

NameInRequiredType
workspaceIdpathyesstring
connectionIdpathyesstring
windowDaysquerynovalue

Request body

No request body.

Responses

StatusMeaning
200Success
401UnauthorizedError
402QuotaExceededError
403ForbiddenError
404NotFoundError
422ValidationError
429RateLimitedError
503AnalyticsProviderError

Response bodies

200 — application/json

{
  "type": "object",
  "properties": {
    "current": {
      "type": "object",
      "properties": {
        "since": {
          "type": "string"
        },
        "until": {
          "type": "string"
        },
        "totals": {
          "type": "object",
          "properties": {
            "impressions": {
              "anyOf": [
                {
                  "anyOf": [
                    {
                      "type": "number"
                    },
                    {
                      "type": "string",
                      "enum": [
                        "NaN"
                      ]
                    },
                    {
                      "type": "string",
                      "enum": [
                        "Infinity"
                      ]
                    },
                    {
                      "type": "string",
                      "enum": [
                        "-Infinity"
                      ]
                    }
                  ]
                },
                {
                  "type": "string",
                  "enum": [
                    "Infinity",
                    "-Infinity",
                    "NaN"
                  ]
                }
              ]
            },
            "reach": {
              "anyOf": [
                {
                  "anyOf": [
                    {
                      "type": "number"
                    },
                    {
                      "type": "string",
                      "enum": [
                        "NaN"
                      ]
                    },
                    {
                      "type": "string",
                      "enum": [
                        "Infinity"
                      ]
                    },
                    {
                      "type": "string",
                      "enum": [
                        "-Infinity"
                      ]
                    }
                  ]
                },
                {
                  "type": "string",
                  "enum": [
                    "Infinity",
                    "-Infinity",
                    "NaN"
                  ]
                }
              ]
            },
            "engagements": {
              "anyOf": [
                {
                  "anyOf": [
                    {
                      "type": "number"
                    },
                    {
                      "type": "string",
                      "enum": [
                        "NaN"
                      ]
                    },
                    {
                      "type": "string",
                      "enum": [
                        "Infinity"
                      ]
                    },
                    {
                      "type": "string",
                      "enum": [
                        "-Infinity"
                      ]
                    }
                  ]
                },
                {
                  "type": "string",
                  "enum": [
                    "Infinity",
                    "-Infinity",
                    "NaN"
                  ]
                }
              ]
            },
            "followersGained": {
              "anyOf": [
                {
                  "anyOf": [
                    {
                      "type": "number"
                    },
                    {
                      "type": "string",
                      "enum": [
                        "NaN"
                      ]
                    },
                    {
                      "type": "string",
                      "enum": [
                        "Infinity"
                      ]
                    },
                    {
                      "type": "string",
                      "enum": [
                        "-Infinity"
                      ]
                    }
                  ]
                },
                {
                  "type": "string",
                  "enum": [
                    "Infinity",
                    "-Infinity",
                    "NaN"
                  ]
                }
              ]
            },
            "profileViews": {
              "anyOf": [
                {
                  "anyOf": [
                    {
                      "type": "number"
                    },
                    {
                      "type": "string",
                      "enum": [
                        "NaN"
                      ]
                    },
                    {
                      "type": "string",
                      "enum": [
                        "Infinity"
                      ]
                    },
                    {
                      "type": "string",
                      "enum": [
                        "-Infinity"
                      ]
                    }
                  ]
                },
                {
                  "type": "string",
                  "enum": [
                    "Infinity",
                    "-Infinity",
                    "NaN"
                  ]
                }
              ]
            }
          },
          "required": [
            "impressions",
            "reach",
            "engagements",
            "followersGained",
            "profileViews"
          ],
          "additionalProperties": false
        },
        "points": {
          "type": "array",
          "items": {
            "type": "object",
            "properties": {
              "date": {
                "type": "string"
              },
              "impressions": {
                "anyOf": [
                  {
                    "anyOf": [
                      {
                        "type": "number"
                      },
                      {
                        "type": "string",
                        "enum": [
                          "NaN"
                        ]
                      },
                      {
                        "type": "string",
                        "enum": [
                          "Infinity"
                        ]
                      },
                      {
                        "type": "string",
                        "enum": [
                          "-Infinity"
                        ]
                      }
                    ]
                  },
                  {
                    "type": "string",
                    "enum": [
                      "Infinity",
                      "-Infinity",
                      "NaN"
                    ]
                  }
                ]
              },
              "reach": {
                "anyOf": [
                  {
                    "anyOf": [
                      {
                        "type": "number"
                      },
                      {
                        "type": "string",
                        "enum": [
                          "NaN"
                        ]
                      },
                      {
                        "type": "string",
                        "enum": [
                          "Infinity"
                        ]
                      },
                      {
                        "type": "string",
                        "enum": [
                          "-Infinity"
                        ]
                      }
                    ]
                  },
                  {
                    "type": "string",
                    "enum": [
                      "Infinity",
                      "-Infinity",
                      "NaN"
                    ]
                  }
                ]
              },
              "engagements": {
                "anyOf": [
                  {
                    "anyOf": [
                      {
                        "type": "number"
                      },
                      {
                        "type": "string",
                        "enum": [
                          "NaN"
                        ]
                      },
                      {
                        "type": "string",
                        "enum": [
                          "Infinity"
                        ]
                      },
                      {
                        "type": "string",
                        "enum": [
                          "-Infinity"
                        ]
                      }
                    ]
                  },
                  {
                    "type": "string",
                    "enum": [
                      "Infinity",
                      "-Infinity",
                      "NaN"
                    ]
                  }
                ]
              },
              "followersGained": {
                "anyOf": [
                  {
                    "anyOf": [
                      {
                        "type": "number"
                      },
                      {
                        "type": "string",
                        "enum": [
                          "NaN"
                        ]
                      },
                      {
                        "type": "string",
                        "enum": [
                          "Infinity"
                        ]
                      },
                      {
                        "type": "string",
                        "enum": [
                          "-Infinity"
                        ]
                      }
                    ]
                  },
                  {
                    "type": "string",
                    "enum": [
                      "Infinity",
                      "-Infinity",
                      "NaN"
                    ]
                  }
                ]
              },
              "profileViews": {
                "anyOf": [
                  {
                    "anyOf": [
                      {
                        "type": "number"
                      },
                      {
                        "type": "string",
                        "enum": [
                          "NaN"
                        ]
                      },
                      {
                        "type": "string",
                        "enum": [
                          "Infinity"
                        ]
                      },
                      {
                        "type": "string",
                        "enum": [
                          "-Infinity"
                        ]
                      }
                    ]
                  },
                  {
                    "type": "string",
                    "enum": [
                      "Infinity",
                      "-Infinity",
                      "NaN"
                    ]
                  }
                ]
              }
            },
            "required": [
              "date",
              "impressions",
              "reach",
              "engagements",
              "followersGained",
              "profileViews"
            ],
            "additionalProperties": false
          }
        }
      },
      "required": [
        "since",
        "until",
        "totals",
        "points"
      ],
      "additionalProperties": false
    },
    "previous": {
      "type": "object",
      "properties": {
        "since": {
          "type": "string"
        },
        "until": {
          "type": "string"
        },
        "totals": {
          "type": "object",
          "properties": {
            "impressions": {
              "anyOf": [
                {
                  "anyOf": [
                    {
                      "type": "number"
                    },
                    {
                      "type": "string",
                      "enum": [
                        "NaN"
                      ]
                    },
                    {
                      "type": "string",
                      "enum": [
                        "Infinity"
                      ]
                    },
                    {
                      "type": "string",
                      "enum": [
                        "-Infinity"
                      ]
                    }
                  ]
                },
                {
                  "type": "string",
                  "enum": [
                    "Infinity",
                    "-Infinity",
                    "NaN"
                  ]
                }
              ]
            },
            "reach": {
              "anyOf": [
                {
                  "anyOf": [
                    {
                      "type": "number"
                    },
                    {
                      "type": "string",
                      "enum": [
                        "NaN"
                      ]
                    },
                    {
                      "type": "string",
                      "enum": [
                        "Infinity"
                      ]
                    },
                    {
                      "type": "string",
                      "enum": [
                        "-Infinity"
                      ]
                    }
                  ]
                },
                {
                  "type": "string",
                  "enum": [
                    "Infinity",
                    "-Infinity",
                    "NaN"
                  ]
                }
              ]
            },
            "engagements": {
              "anyOf": [
                {
                  "anyOf": [
                    {
                      "type": "number"
                    },
                    {
                      "type": "string",
                      "enum": [
                        "NaN"
                      ]
                    },
                    {
                      "type": "string",
                      "enum": [
                        "Infinity"
                      ]
                    },
                    {
                      "type": "string",
                      "enum": [
                        "-Infinity"
                      ]
                    }
                  ]
                },
                {
                  "type": "string",
                  "enum": [
                    "Infinity",
                    "-Infinity",
                    "NaN"
                  ]
                }
              ]
            },
            "followersGained": {
              "anyOf": [
                {
                  "anyOf": [
                    {
                      "type": "number"
                    },
                    {
                      "type": "string",
                      "enum": [
                        "NaN"
                      ]
                    },
                    {
                      "type": "string",
                      "enum": [
                        "Infinity"
                      ]
                    },
                    {
                      "type": "string",
                      "enum": [
                        "-Infinity"
                      ]
                    }
                  ]
                },
                {
                  "type": "string",
                  "enum": [
                    "Infinity",
                    "-Infinity",
                    "NaN"
                  ]
                }
              ]
            },
            "profileViews": {
              "anyOf": [
                {
                  "anyOf": [
                    {
                      "type": "number"
                    },
                    {
                      "type": "string",
                      "enum": [
                        "NaN"
                      ]
                    },
                    {
                      "type": "string",
                      "enum": [
                        "Infinity"
                      ]
                    },
                    {
                      "type": "string",
                      "enum": [
                        "-Infinity"
                      ]
                    }
                  ]
                },
                {
                  "type": "string",
                  "enum": [
                    "Infinity",
                    "-Infinity",
                    "NaN"
                  ]
                }
              ]
            }
          },
          "required": [
            "impressions",
            "reach",
            "engagements",
            "followersGained",
            "profileViews"
          ],
          "additionalProperties": false
        },
        "points": {
          "type": "array",
          "items": {
            "type": "object",
            "properties": {
              "date": {
                "type": "string"
              },
              "impressions": {
                "anyOf": [
                  {
                    "anyOf": [
                      {
                        "type": "number"
                      },
                      {
                        "type": "string",
                        "enum": [
                          "NaN"
                        ]
                      },
                      {
                        "type": "string",
                        "enum": [
                          "Infinity"
                        ]
                      },
                      {
                        "type": "string",
                        "enum": [
                          "-Infinity"
                        ]
                      }
                    ]
                  },
                  {
                    "type": "string",
                    "enum": [
                      "Infinity",
                      "-Infinity",
                      "NaN"
                    ]
                  }
                ]
              },
              "reach": {
                "anyOf": [
                  {
                    "anyOf": [
                      {
                        "type": "number"
                      },
                      {
                        "type": "string",
                        "enum": [
                          "NaN"
                        ]
                      },
                      {
                        "type": "string",
                        "enum": [
                          "Infinity"
                        ]
                      },
                      {
                        "type": "string",
                        "enum": [
                          "-Infinity"
                        ]
                      }
                    ]
                  },
                  {
                    "type": "string",
                    "enum": [
                      "Infinity",
                      "-Infinity",
                      "NaN"
                    ]
                  }
                ]
              },
              "engagements": {
                "anyOf": [
                  {
                    "anyOf": [
                      {
                        "type": "number"
                      },
                      {
                        "type": "string",
                        "enum": [
                          "NaN"
                        ]
                      },
                      {
                        "type": "string",
                        "enum": [
                          "Infinity"
                        ]
                      },
                      {
                        "type": "string",
                        "enum": [
                          "-Infinity"
                        ]
                      }
                    ]
                  },
                  {
                    "type": "string",
                    "enum": [
                      "Infinity",
                      "-Infinity",
                      "NaN"
                    ]
                  }
                ]
              },
              "followersGained": {
                "anyOf": [
                  {
                    "anyOf": [
                      {
                        "type": "number"
                      },
                      {
                        "type": "string",
                        "enum": [
                          "NaN"
                        ]
                      },
                      {
                        "type": "string",
                        "enum": [
                          "Infinity"
                        ]
                      },
                      {
                        "type": "string",
                        "enum": [
                          "-Infinity"
                        ]
                      }
                    ]
                  },
                  {
                    "type": "string",
                    "enum": [
                      "Infinity",
                      "-Infinity",
                      "NaN"
                    ]
                  }
                ]
              },
              "profileViews": {
                "anyOf": [
                  {
                    "anyOf": [
                      {
                        "type": "number"
                      },
                      {
                        "type": "string",
                        "enum": [
                          "NaN"
                        ]
                      },
                      {
                        "type": "string",
                        "enum": [
                          "Infinity"
                        ]
                      },
                      {
                        "type": "string",
                        "enum": [
                          "-Infinity"
                        ]
                      }
                    ]
                  },
                  {
                    "type": "string",
                    "enum": [
                      "Infinity",
                      "-Infinity",
                      "NaN"
                    ]
                  }
                ]
              }
            },
            "required": [
              "date",
              "impressions",
              "reach",
              "engagements",
              "followersGained",
              "profileViews"
            ],
            "additionalProperties": false
          }
        }
      },
      "required": [
        "since",
        "until",
        "totals",
        "points"
      ],
      "additionalProperties": false
    },
    "percentageChange": {
      "type": "object",
      "properties": {
        "impressions": {
          "anyOf": [
            {
              "anyOf": [
                {
                  "type": "number"
                },
                {
                  "type": "string",
                  "enum": [
                    "NaN"
                  ]
                },
                {
                  "type": "string",
                  "enum": [
                    "Infinity"
                  ]
                },
                {
                  "type": "string",
                  "enum": [
                    "-Infinity"
                  ]
                }
              ]
            },
            {
              "type": "string",
              "enum": [
                "Infinity",
                "-Infinity",
                "NaN"
              ]
            }
          ]
        },
        "reach": {
          "anyOf": [
            {
              "anyOf": [
                {
                  "type": "number"
                },
                {
                  "type": "string",
                  "enum": [
                    "NaN"
                  ]
                },
                {
                  "type": "string",
                  "enum": [
                    "Infinity"
                  ]
                },
                {
                  "type": "string",
                  "enum": [
                    "-Infinity"
                  ]
                }
              ]
            },
            {
              "type": "string",
              "enum": [
                "Infinity",
                "-Infinity",
                "NaN"
              ]
            }
          ]
        },
        "engagements": {
          "anyOf": [
            {
              "anyOf": [
                {
                  "type": "number"
                },
                {
                  "type": "string",
                  "enum": [
                    "NaN"
                  ]
                },
                {
                  "type": "string",
                  "enum": [
                    "Infinity"
                  ]
                },
                {
                  "type": "string",
                  "enum": [
                    "-Infinity"
                  ]
                }
              ]
            },
            {
              "type": "string",
              "enum": [
                "Infinity",
                "-Infinity",
                "NaN"
              ]
            }
          ]
        },
        "followersGained": {
          "anyOf": [
            {
              "anyOf": [
                {
                  "type": "number"
                },
                {
                  "type": "string",
                  "enum": [
                    "NaN"
                  ]
                },
                {
                  "type": "string",
                  "enum": [
                    "Infinity"
                  ]
                },
                {
                  "type": "string",
                  "enum": [
                    "-Infinity"
                  ]
                }
              ]
            },
            {
              "type": "string",
              "enum": [
                "Infinity",
                "-Infinity",
                "NaN"
              ]
            }
          ]
        },
        "profileViews": {
          "anyOf": [
            {
              "anyOf": [
                {
                  "type": "number"
                },
                {
                  "type": "string",
                  "enum": [
                    "NaN"
                  ]
                },
                {
                  "type": "string",
                  "enum": [
                    "Infinity"
                  ]
                },
                {
                  "type": "string",
                  "enum": [
                    "-Infinity"
                  ]
                }
              ]
            },
            {
              "type": "string",
              "enum": [
                "Infinity",
                "-Infinity",
                "NaN"
              ]
            }
          ]
        }
      },
      "required": [
        "impressions",
        "reach",
        "engagements",
        "followersGained",
        "profileViews"
      ],
      "additionalProperties": false
    },
    "topPosts": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string"
          },
          "caption": {
            "anyOf": [
              {
                "type": "string"
              },
              {
                "type": "null"
              }
            ]
          },
          "mediaType": {
            "type": "string"
          },
          "permalink": {
            "anyOf": [
              {
                "type": "string"
              },
              {
                "type": "null"
              }
            ]
          },
          "publishedAt": {
            "type": "string"
          },
          "impressions": {
            "anyOf": [
              {
                "anyOf": [
                  {
                    "type": "number"
                  },
                  {
                    "type": "string",
                    "enum": [
                      "NaN"
                    ]
                  },
                  {
                    "type": "string",
                    "enum": [
                      "Infinity"
                    ]
                  },
                  {
                    "type": "string",
                    "enum": [
                      "-Infinity"
                    ]
                  }
                ]
              },
              {
                "type": "string",
                "enum": [
                  "Infinity",
                  "-Infinity",
                  "NaN"
                ]
              }
            ]
          },
          "reach": {
            "anyOf": [
              {
                "anyOf": [
                  {
                    "type": "number"
                  },
                  {
                    "type": "string",
                    "enum": [
                      "NaN"
                    ]
                  },
                  {
                    "type": "string",
                    "enum": [
                      "Infinity"
                    ]
                  },
                  {
                    "type": "string",
                    "enum": [
                      "-Infinity"
                    ]
                  }
                ]
              },
              {
                "type": "string",
                "enum": [
                  "Infinity",
                  "-Infinity",
                  "NaN"
                ]
              }
            ]
          },
          "engagements": {
            "anyOf": [
              {
                "anyOf": [
                  {
                    "type": "number"
                  },
                  {
                    "type": "string",
                    "enum": [
                      "NaN"
                    ]
                  },
                  {
                    "type": "string",
                    "enum": [
                      "Infinity"
                    ]
                  },
                  {
                    "type": "string",
                    "enum": [
                      "-Infinity"
                    ]
                  }
                ]
              },
              {
                "type": "string",
                "enum": [
                  "Infinity",
                  "-Infinity",
                  "NaN"
                ]
              }
            ]
          }
        },
        "required": [
          "id",
          "caption",
          "mediaType",
          "permalink",
          "publishedAt",
          "impressions",
          "reach",
          "engagements"
        ],
        "additionalProperties": false
      }
    },
    "stale": {
      "type": "boolean"
    },
    "cachedAt": {
      "type": "string"
    }
  },
  "required": [
    "current",
    "previous",
    "percentageChange",
    "topPosts",
    "stale",
    "cachedAt"
  ],
  "additionalProperties": false
}

401 — application/json

{
  "$ref": "#/components/schemas/UnauthorizedError"
}

402 — application/json

{
  "$ref": "#/components/schemas/QuotaExceededError"
}

403 — application/json

{
  "$ref": "#/components/schemas/ForbiddenError"
}

404 — application/json

{
  "$ref": "#/components/schemas/NotFoundError"
}

422 — application/json

{
  "$ref": "#/components/schemas/ValidationError"
}

429 — application/json

{
  "$ref": "#/components/schemas/RateLimitedError"
}

503 — application/json

{
  "$ref": "#/components/schemas/AnalyticsProviderError"
}